aboutsummaryrefslogtreecommitdiffstats
path: root/main/gcc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-12-16 10:07:43 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-12-16 10:07:43 +0000
commit37b4b828e97a2176c6101b027e62baab8bd92dbc (patch)
treebcfbdc38fba0578288530ec54fbee20c441cbda3 /main/gcc/APKBUILD
parent4c530a9cc8e16f636dc4271666b996dff9bcffd2 (diff)
downloadaports-37b4b828e97a2176c6101b027e62baab8bd92dbc.tar.gz
aports-37b4b828e97a2176c6101b027e62baab8bd92dbc.tar.bz2
aports-37b4b828e97a2176c6101b027e62baab8bd92dbc.tar.xz
main/gcc: upgrade to 4.4.2
enable TLS while here
Diffstat (limited to 'main/gcc/APKBUILD')
-rw-r--r--main/gcc/APKBUILD38
1 files changed, 20 insertions, 18 deletions
diff --git a/main/gcc/APKBUILD b/main/gcc/APKBUILD
index 8c432b0ad8..12f9ed0ad8 100644
--- a/main/gcc/APKBUILD
+++ b/main/gcc/APKBUILD
@@ -1,9 +1,9 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gcc
-pkgver=4.4.1
-_specsver=0.1.4
-_espfver=0.3.1
-pkgrel=3
+pkgver=4.4.2
+_specsver=0.1.7
+_espfver=0.3.5
+pkgrel=0
pkgdesc="The GNU Compiler Collection"
url="http://gcc.gnu.org"
license="GPL LGPL"
@@ -15,20 +15,13 @@ source="ftp://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-core-$pkgver.tar.bz2
http://weaver.gentooenterprise.com/hardened/patches/gcc-$pkgver-espf-$_espfver.tar.bz2
http://weaver.gentooenterprise.com/hardened/patches/gcc-$pkgver-specs-$_specsver.tar.bz2
gcc-spec-env.patch
- gcc4-stack-protector-uclibc-no_tls.patch
pt_gnu_eh_frame.patch
uclibc-getipinfo.patch
"
# ftp://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-objc-$pkgver.tar.bz2
build ()
{
- cd ${srcdir}/gcc-${pkgver}
-
- # uclibc patches
- for i in ../*.patch; do
- msg "Applying $i"
- patch -p1 -i $i || return 1
- done
+ cd "$srcdir"/gcc-$pkgver
# ESPF patches. we dont use objc yet
rm -f ../espf-gcc-$pkgver/*_objc*lang-specs*.patch
@@ -38,6 +31,12 @@ build ()
patch -p0 -i $i || return 1
done
+ # uclibc patches
+ for i in ../*.patch; do
+ msg "Applying $i"
+ patch -p1 -i $i || return 1
+ done
+
echo ${pkgver} > gcc/BASE-VER
mkdir build
cd build
@@ -53,7 +52,6 @@ build ()
--disable-multilib \
--disable-nls \
--disable-threads \
- --disable-tls \
--disable-werror \
--enable-__cxa_atexit \
--enable-cld \
@@ -61,11 +59,16 @@ build ()
--enable-languages=c,c++ \
--enable-shared \
--enable-target-optspace \
+ --enable-tls \
--with-arch=i486 \
--with-system-zlib \
--without-system-libunwind
make || return 1
+}
+
+package() {
+ cd "$srcdir"/gcc-$pkgver/build
make -j1 DESTDIR="${pkgdir}" install || return 1
ln -s gcc "$pkgdir"/usr/bin/cc
@@ -117,11 +120,10 @@ libgomp() {
mv "$pkgdir"/usr/lib/libgomp.so* "$subpkgdir"/usr/lib/
}
-md5sums="d19693308aa6b2052e14c071111df59f gcc-core-4.4.1.tar.bz2
-d449047b5761348ceec23739f5553e0b gcc-g++-4.4.1.tar.bz2
-43d0bbd676bbb2acd67ddabd0ea1bc2b gcc-4.4.1-espf-0.3.1.tar.bz2
-da8d9165e828bbb9809ef86f1c72886f gcc-4.4.1-specs-0.1.4.tar.bz2
+md5sums="d50ec5af20508974411d0c83c5f4e396 gcc-core-4.4.2.tar.bz2
+43b1e4879eb282dc4b05e4c016d356d7 gcc-g++-4.4.2.tar.bz2
+d41944c1ee65edcf88e8728404bca32f gcc-4.4.2-espf-0.3.5.tar.bz2
+528926b586b2591474b6c2a7ef8ee6d7 gcc-4.4.2-specs-0.1.7.tar.bz2
c4045bfa85d8be780affd465be9d8ca8 gcc-spec-env.patch
-15e77082db0e1a131af98debd3016290 gcc4-stack-protector-uclibc-no_tls.patch
2db1e3482c5dd59dab70f701afa2ca80 pt_gnu_eh_frame.patch
6cc2385c5bbd6d0da6eaedd53c8bf547 uclibc-getipinfo.patch"